Subject: How to get the Tiny Toons GIFs
From: [email-masked] (Paul J. Osze)
Date: 19 Sep 91 06:23:02 GMT
Newsgroups: alt.tv.tiny-toon

Now that the new season is starting, and GIF requests are once again coming
in, I think it's time for a refresher course in how to access calvin.nmsu.edu's
anonymous ftp site.  If you are new to this group, and have never heard of
toon gifs being available SAVE THIS ARTICLE.  If you are an old hat at this,
please skip to the next article :-)

The following excellent guide is courtesy Vince Taluski.

Article: 2749 of alt.tv.tiny-toon
From: [email-masked] (Vince Taluskie)
Newsgroups: alt.tv.tiny-toon
Subject: VINCE'S GUIDE TO FTP AND GIF TRANSFER
Message-ID: <[email-masked]>
Date: 6 Aug 91 02:29:13 GMT
Sender: [email-masked]
Reply-To: [email-masked] (Vince Taluskie)
Distribution: usa
Organization: The University of Texas at Austin
Lines: 201
Originator: [email-masked]
 
VINCE'S GUIDE TO FTP:
 
Note:  Calvin as yet will not kick you off if you log in during peak
usage hours (9am-6pm New Mexico local time).  If you abuse the ftp
sevice by doing this I'm sure that this will change.  You should
only ftp during off-peak hours - remember that it's costing somebody
(your school or company money to have you do this).
 
----------------------------------------------------------------------
 
When  it says "Connected  to calvin.nmsu.edu" give   the login name of
'anonymous'  (that's  why  this is called  anonymous ftp) when you are
prompted for a password  type in your  email  address, If  you  make a
mistake don't worry any non-empty string is acceptable - it is  just a
polite convention to tell the site who you are.
 
If you are familiar  with DOS or  UNIX the rest  will be  easy. Quotes
aren't actually entered.
 
Use the 'cd' command to change directories.  The 'ls' or the 'dir' command
to list which files are present.  If you use 'dir' a whole bunch of listings
will appear, like this
 
Let's pretend we are actually doing it....
 
Connected to calvin.nmsu.edu.
 
220 calvin FTP server (Version 5.60) ready
Name (calvin.nmsu.edu:taluskie): anonymous
331 Guest login ok, send ident as password.
Password:
 
230 Guest login ok, access restrictions apply.
ftp> dir
 
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 7
dr-xr-xr-x  2 root     wheel       1024 Feb  2  1991 bin
dr-xr-xr-x  2 root     wheel       1024 Jan 21  1991 etc
drwxrwxrwx  2 root     wheel       1024 Aug  3 07:47 incoming
dr-xr-xr-x  8 root     wheel       3072 Jul  9 20:14 pub
drwxr-xr-x  3 root     wheel       1024 Feb  2  1991 usr
226 Transfer complete.
 
Ok, see the field on the far left, the one that looks like "dr-xr-xr-x". 
That is the permissions field.  I'm not going to get into UNIX permission
field because all you need to know is that if a  "d" is in the front then
that file is actually a directory.
 
You can get into the directory by entering 'cd  pub' for example.
 
The TTA gifs are in /pub/toon-gifs, so let's go on into the pub directory...
 
304 bytes received in 1.2 seconds (0.25 Kbytes/s)
ftp> cd pub
250 CWD command successful.
 
ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 8
-rw-r--r--  1 root     wheel        455 Apr 23 00:56 00README
drwxr-xr-x  2 root     wheel       1024 Jul  9 20:29 comp.unix.admin
drwxrwxrwx  6 root     wheel       1024 Jun 27 14:07 mud
drwxr-xr-x  4 root     wheel       1024 Jul  5 00:54 next
drwxrwxrwx 11 ftp      wheel       1024 Jun 21 15:21 rockets
drwxr-xr-x  7 afoiani  wheel       1024 Jun 13 16:43 sisters
drwxr-xr-x  7 kfenzi   wheel       2048 Aug  5 07:22 toon-gifs
226 Transfer complete.
447 bytes received in 1.6 seconds (0.27 Kbytes/s)
 
now we want to go into the toon-gifs directory....

ftp> cd toon-gifs
250 CWD command successful.
ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 15225
-rw-r--r--  1 kfenzi   wheel       9961 Aug  5 07:22 Index
-rw-r--r--  1 kfenzi   wheel     251605 Jun 16 22:24 acmeart.gif
-rw-r--r--  1 kfenzi   wheel     225792 Apr 19 06:34 acmeteam.gif
-rw-r--r--  1 kfenzi   wheel      18533 May 28 18:00 all.gif
-rw-r--r--  1 kfenzi   wheel        720 May 28 20:54 allinfo.doc
				.
				.
				.
 
			[ lengthy listing deleted ]

226 Transfer complete.
5676 bytes received in 1.2 seconds (4.5 Kbytes/s)
 
[ note that ../directory_name means /pub/toon-gifs/directory_name    ]
 
Now we see some files at last. We know that they are files since the
permission field begins with a "-" instead of a "d" for directory.  There
are still some directories after this one.  For instance, ../viewers contains
gif viewers,  ../sounds contain various animation -related sound files.  You
are free to explore the archive.
 
The first thing that you should do is to get the index of gifs, look that
over, pick the ones you like, get them and then leave calvin.
 
type:
 
ftp>ascii
 
ftp>mget Index
 
(mget will ask if you really want to do this, if you the  mode was set
to binary (more on that below) you should set if back to ascii so that
newline characters don't get stripped off )

---------------------
How to Transfer GIFS:
 
type the following
 
ftp>binary
 
(this will set the transfer mode to guess what, binary...)
 
ftp>mget babs06.gif 
 
(this will get the gif called BABS06.GIF, one of my favorites BTW )
 
mget will prompt you if you really want to get the file.  Answer 'y' for
yes.
 
mget will accept  wildcards like 
 
ftp>mget babs*.gif
 
(this command will get all of the gifs that have 'babs' as the first four
letters.)
 
mget will prompt you if you want each file - if this annoys you as much
as it does me, type the following command before the mget statement:
 
ftp>prompt
 
(this will turn off any prompting - the 'ftp>' will come back when the
transfers are complete.)
 
you should be warned that at 200k apiece this can use a ton of disk space. 
On my system, I usually 'cd /tmp'  to the local hard drive of the Sun 
SparcStation that I'm on, transfer the files and then get them when I have
the time.
 
Note:  If you exceed you quota on  your account by filling it with 
+200k gifs the transfers will be interupted.  That's why I use the local
hard drive on my machine - no quota on the /tmp drive....
 
Other animation gifs are in the ../other directory
 
If you have a file that you think other people might like to have (some
kind of gif that you have drawn or scanned go to the ../incoming directory
and type the following:
 
[ it is assumed that the file you wish to transfer is in you local working
  directory.  If you need to change directories back at your own machine,
  use the 'lcd directory_name' (change local directory) command.  If you
  want a listing of files in you current local directory issue the following
  command:  ftp>!ls  
  
  The "!" says to direct the command to your local shell ]
 
ftp>binary
 
ftp>mput mystuff.gif
 
Afterwards, you might send a mail to [email-masked] describing what
you've just put there so they can see if it is appropriate to go into the
general /pub/toon-gifs directory....
 
That's about all there is to it.  To quit and get out of calvin type 
the command 'bye'.  
 
ftp> bye
221 Goodbye.
donald.cc.utexas.edu% 

That is about all you need to know to ftp and transfer gifs, enjoy...
 
Vince Taluskie

 
 
-- 
Vince Taluskie 			      		[email-masked]
 
        	           Today's new word
	             ----------------------------
		          Macintoshinization

ps: New GIFs will be announced in this group and will be available in the 
'incoming' directory in toon-gifs.  This is also where the naughty pics
are kept ;-)

The BoingDragon
  
+----------+------------------------------------------------------------------+
|  (    )  | "I suppose it is much more comfortable to be mad and not know it |
|  )\^^/(  |      than to be sane and have one's doubts." - G. B. Burgin      |
|  (O||O)  |                                                                  |
|   \)(/   |     "Life does not require justification." - Dragon proverb      |
|   (oo)   |                                                                  |
|    `'    |      "Time is three eyes and eight elbows." - Dogen Zenji        |
+----------+------------------------------------------------------------------+